<?php

namespace ShineSoftware\Setefi\Block;

use Magento\Framework\Phrase;
use Magento\Payment\Block\ConfigurableInfo;
use ShineSoftware\Setefi\Gateway\Response\FraudHandler;

class Info extends ConfigurableInfo {

    protected function getLabel($field) {
        return __($field);
    }

    protected function getValueView($field, $value) {
        switch ($field) {
            case FraudHandler::FRAUD_MSG_LIST:
                return implode('; ', $value);
        }
        return parent::getValueView($field, $value);
    }

}

;
